/* error_handler_c.c -- Copyright (c) 2004 Michael Pyne <michael.pyne@kdemail.net>
 * This software is licensed under the terms of the GNU General Public License,
 * v2 (or any later version).  This software is distributed WITH ABSOLUTELY NO
 * WARRANTY!.
 */

/* This file is the implementation of error_handler.h for C-based clients of
 * the parser, including the test.c client.
 */
#include <string.h>
#include <stdio.h>
#include <stdlib.h>

#include "error_handler.h"

void post_error_message(const char *str, const char *ref)
{
    char *strPtr = (char*) strdup(str);

    /* If we see %1, replace it with %s */
    if(strstr(strPtr, "%1"))
	(strstr(strPtr, "%1"))[1] = 's';

    printf (strPtr, ref);
    printf ("\n");
    free(strPtr);
}

void declare_error_receiver(receiver_t receiver)
{
    /* Ignored */
    (void) receiver;
}

int yyerror(const char *s)
{
    (void) s;
    return 0;
}
